summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-07-03 23:10:34 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-07-03 23:12:49 +0200
commitf93380d5dc6d617199efe3ec44b5e9807fb83dd1 (patch)
tree956a530f39bba670207b31039b1764538c2d121b /app-text/convmv
parentgames-rpg/manaplus: Sync live ebuild. (diff)
downloadgentoo-f93380d5dc6d617199efe3ec44b5e9807fb83dd1.tar.gz
gentoo-f93380d5dc6d617199efe3ec44b5e9807fb83dd1.tar.bz2
gentoo-f93380d5dc6d617199efe3ec44b5e9807fb83dd1.zip
app-text/convmv: Bump to version 2.02
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'app-text/convmv')
-rw-r--r--app-text/convmv/Manifest1
-rw-r--r--app-text/convmv/convmv-2.02.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/app-text/convmv/Manifest b/app-text/convmv/Manifest
index d14a2c43c1b..1817e281018 100644
--- a/app-text/convmv/Manifest
+++ b/app-text/convmv/Manifest
@@ -1,2 +1,3 @@
DIST convmv-2.0.tar.gz 29534 SHA256 170cf675be1fca77868ff472e9340ca828b1463865a63d4f4b7b3bf4053db93f SHA512 9f452551ab4ea7a45ec4e5d4e4d3c4fdb60cae49f048953d16df9ecd9ee3271c2d6748704f010af6ef312d7ce2079ae9c502e04d936419e29257f68596fc4f58 WHIRLPOOL c907bf99805e2afa7590043a291c7eaa19b681fecf9eb38314d41952edcea381f7e8bf1442226bd9c72122c3b0840e4c376f3947c4b2f65495287155a1353026
DIST convmv-2.01.tar.gz 29375 SHA256 782ac06982aeaf8ff3ab8fc42cb49cb8bc562dbd1e97ef7e17bedcf3ecf2483a SHA512 e82957bcc1462b17c5f667e85caf0d2e8c407fb48afc6faa957f45626cbfa58c141de05f43cc810e8d4abbadc4cc01bf87ee64c157fece20fafed07ad04cc48c WHIRLPOOL fc7f6f6b93c872d1fce69372340b97165ec0138fe02952d7737bea582e6ecdef89cc766e20b7fbf2d75925ce5bf6759d2accf8f276f4feaf02383dfcb33c1bb6
+DIST convmv-2.02.tar.gz 29645 SHA256 93b86a5ef354703604fb9a0bbbe6cc11eb81fbdade72e8dea13c82d2901a0177 SHA512 8e7dd8368e2152cf19164966695eeab6b329553a0dd0c1e908f71648fee0d19635449650136cbd11280655cf71357dd6fa62c228d59df5480a866ad9cc45b2ea WHIRLPOOL 374c44a61fc084b5bb30d27ad26e64d275e1bb269074c1b98d95fa818290a97b8fe6f2087b683db50a8dfc5a0e1f1b119cfcf3cbe738878608eee322a9583a48
diff --git a/app-text/convmv/convmv-2.02.ebuild b/app-text/convmv/convmv-2.02.ebuild
new file mode 100644
index 00000000000..6fad4bcbd99
--- /dev/null
+++ b/app-text/convmv/convmv-2.02.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="convert filenames to utf8 or any other charset"
+HOMEPAGE="http://j3e.de/linux/convmv"
+SRC_URI="http://j3e.de/linux/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i -e "1s|#!/usr|#!${EPREFIX}/usr|" convmv || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr install
+ dodoc CREDITS Changes TODO VERSION
+}
+
+src_test() {
+ unpack ./testsuite.tar
+
+ cd "${S}"/suite
+ ./dotests.sh || die "Tests failed"
+}